<?php

$pdf->SetFont('','B','10');

//$pdf->Cell(190,6,'',1,0,'C');

$pdf->Ln();

$pdf->Cell(60,6,$pdfstandard,1,0,'C');

$pdf->Cell(85,6,$pdfprotection,1,0,'C');

$pdf->Cell(45,6,$pdfdpi,1,0,'C');

$pdf->Ln();

$pdf->SetFont('','','9');

$wa_startindex = 0;

while(!$stdinfo->atEnd()) {

  $wa_startindex = $stdinfo->Index;

$stdnamecode=$stdinfo->getColumnVal("standardcode");

$pdf->Cell(60,6,$stdnamecode,1,0,'L',TRUE);

// Determina quale campo utilizzare in base alla lingua selezionata

$columnName = ($_SESSION['langselect'] == 'it') ? 

    "name_protectioncategory" : 

    "name_protectioncategory_en";



// Ottieni il valore dal campo appropriato

$nameprotcat = $stdinfo->getColumnVal($columnName);



// Verifica se il valore è vuoto e decodifica HTML solo se non è vuoto

if (!empty($nameprotcat)) {

    $nameprotcat = html_entity_decode($nameprotcat);

    $nameprotcat = iconv('UTF-8', 'windows-1252', $nameprotcat);



    // Stampa la cella con il valore della categoria di protezione, solo se non è vuoto

    $pdf->Cell(85, 6, $nameprotcat, 1, 0, 'L', TRUE);

} else {

    // Se è vuoto, potresti voler stampare una cella vuota o gestire in modo diverso

    // Ad esempio, puoi decidere di lasciare la cella vuota o inserire un testo predefinito

    $pdf->Cell(85, 6, '', 1, 0, 'L', TRUE);

}

$pdf->Cell(45,6,$stdinfo->getColumnVal("value_dpicategory"),1,0,'L', TRUE);

    	$pdf->Ln();

  $stdinfo->moveNext();

}

$stdinfo->moveFirst(); //return RS to first record

unset($wa_startindex);

unset($wa_repeatcount);

    ?>